#include<bits/stdc++.h>
using namespace std;
long long int ponavljanja(long long int A[],long long int N,long long int broj)
{
	long long int j=0;
	for(long long int i=0;i<N;i++)
	{
		if(A[i]==broj)
			j++;
	}
	return j;
}
main()
{
	long long int N,j=0,i=0;
	int K;
	scanf("%lld %d",&N,&K);
	long long int A[N],BR[N];
	for(i=0;i<N;i++)
	{
		scanf("%lld",&A[i]);
	}	
	long long int n = sizeof(A)/sizeof(A[0]); 
    sort(A, A+n); 
	for(i=0;i<N;i+=ponavljanja(A,N,A[i]))
	{
		if(ponavljanja(A,N,A[i])>=K)
		{
			BR[j]=A[i];
			j++;
		}
		
	}
	printf("%lld\n",j);
	for(i=0;i<j;i++)
	{
		printf("%lld ",BR[i]);
	}
}